curl --request GET \
--url https://fulfillment.noyo.com/api/v1/group_connections/{connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/group_connections/{connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/group_connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"completed": 1557392400,
"created": 1557329939,
"group_data": {
"carrier_group_id": "10000000",
"group_name": "Test Company"
},
"group_id": "9e629e41-c706-4efd-9fbb-1ff2573fc67e",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557392400,
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"request_type": "initial",
"setup_result": {},
"status": "completed",
"version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}Get Group Connection
Returns the latest status of a single group connection based on the ID provided.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group connection you would like to view
"dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1"
Response
Successful Response - Returns a single Group Connection
Unique identifier of the carrier in Noyo
The date the record was created
Carrier-specific data to execute a group connection
Show child attributes
Show child attributes
Unique identifier of the group connection in Noyo
The date the record was last updated
Unique identifier of the platform or broker organization in Noyo
Type of the group connection
More information about the result of the group connection
Status of the group connection
created, processing, noyo_review, waiting_on_carrier, carrier_authorization, action_required, unable_to_connect, completed Current version of the record
Timestamp indicating when a group connection was marked as completed.
Federal Employer Identification Number for the group
ID of associated group model
Was this page helpful?
